<?php
class Ingreso_model extends CI_Model {

	public function log($idUsuario = null, $fecha = null, $cantidad = []) {
		$this->db->select("*");
		$this->db->from('ingresos_log');
		if ($idUsuario != '0') {
			$this->db->where('id_usuario', $idUsuario);
		}

		// Filtrar por fecha específica
		if ($fecha) {
			$this->db->where('DATE(created)', $fecha);
		}
		$this->db->order_by('created', 'DESC');

		$result['total'] = $this->db->count_all_results('', false);

		// Condiciones de Paginación
		$this->db->limit($cantidad[1], $cantidad[0]);

		$result['ingresos'] = $this->db->get()->result_array();

		return $result;
	}
}
